framework:
    cache:
        # Unique name of your app: used to compute stable namespaces for cache keys.
        prefix_seed: "ia_service_%kernel.environment%"

        # The "app" cache stores to the filesystem by default.
        # The data in this cache should persist between deploys.
        app: cache.adapter.filesystem

        # Doctrine cache pools
        pools:
            doctrine.orm.default_query_cache:
                adapter: cache.adapter.filesystem
            doctrine.orm.default_result_cache:
                adapter: cache.adapter.filesystem

when@prod:
    framework:
        cache:
            app: cache.adapter.redis
            system: cache.adapter.redis
            default_redis_provider: '%env(REDIS_URL)%'
            pools:
                doctrine.orm.default_query_cache:
                    adapter: cache.adapter.redis
                doctrine.orm.default_result_cache:
                    adapter: cache.adapter.redis
